/*
 * (c) Copyright 1998 by Shmulik London (londons@gmail.com). All rights reserved.
 *
 * Redistribution and use of this source code, with or without modification,
 * are permitted for educational non-commercial use provided that it retains
 * the above copyright notice and the following disclaimer.
 *
 * This source code was developed to support the course 'Introduction to Computer Science'
 * given in the Interdisciplinary Center Herzelia in 1998,1999 by Shmulik London.
 *
 * This software is provided "AS IS," without a warranty of any
 * kind. THE AUTHOR OF THIS SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES
 * ABOUT THE SUITABILITY OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING
 * BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. THE AUTHOR SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 */

/**
 * @author Shmulik London
 */
class TestIO {

    public static void main(String[] args) {
        OutputWindow output = new OutputWindow();
        output.println("Hello World!");
        output.showMessage(
            "Please watch carfully, i'm going to print all "+
            "the numbers from 1 till 30.");
        for (int i=1; i<=30; i++) {
            output.println(i);
        }
        InputRequestor input = new InputRequestor();
        for (int i=0; i<5; i++) {
            try {
                Thread.sleep(2000);
            } catch (InterruptedException ie) {}
            int a = input.requestInt("enter an integer");
            output.println(a+1);
        }
    }

}