/**
 * A test class for class QuadricFunction. This program runs in a loop that ask the user to
 * enter the coefficients of a quadric function. It prints the roots and the maximal and
 * minimal values for each function. The loop ends when the three coefficients are all zero.
 *
 * @author Shmulik London
 */
class TestQuadricFunction2 {

    public static void main(String[] args) {

        InputRequestor input = new InputRequestor();
        OutputWindow output = new OutputWindow();

        double a,b,c;
        do {
            a = input.requestDouble("Enter value for a:");
            b = input.requestDouble("Enter value for b:");
            c = input.requestDouble("Enter value for c:");

            QuadricFunction1 f = new QuadricFunction1(a, b, c);

            int n = f.getNumberOfRoots();
            switch(n) {
            case 0:
                output.println(f+" has no roots.");
                break;
            case 1:
                output.println(f+" has the single root "+
                    f.getLowRoot());
                break;
            case 2:
                output.println("The roots of "+f+" are "+
                    f.getLowRoot()+" and "+f.getHighRoot());
                break;
            }
            output.println("The minimum value of "+f+" is "+
                f.getMinimalValue());
            output.println("The maximum value of "+f+" is "+
                f.getMaximalValue());
            output.println();
       } while(a!=0.0 || b!=0.0 || c!=0.0);
    }
}