/*
 * (c) Copyright 1998 by Shmulik London (londons@gmail.com). All rights reserved.
 *
 * Redistribution and use of this source code, with or without modification,
 * are permitted for educational non-commercial use provided that it retains
 * the above copyright notice and the following disclaimer.
 *
 * This source code was developed to support the course 'Introduction to Computer Science'
 * given in the Interdisciplinary Center Herzelia in 1998,1999 by Shmulik London.
 *
 * This software is provided "AS IS," without a warranty of any
 * kind. THE AUTHOR OF THIS SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES
 * ABOUT THE SUITABILITY OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING
 * BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. THE AUTHOR SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 */

/**
 * A test program for class Arithmetics.
 */
class TestArithmetics {

    public static void main(String[] args) {

        OutputWindow output = new OutputWindow();

        output.println("Testing fibonacci numbers:");
        int n = 10;
        for (int i=0; i<n; i++) {
            output.print(Arithmetics.fibonacci(i));
            if (i<n-1) {
                output.print(", ");
            }
        }
        output.println();
        output.println();

        n = 5;
        output.println(n+"!="+Arithmetics.factorial(n));
        output.println();

        int a = 2*2*5*7;
        int b = 2*3*5;
        int gcd = Arithmetics.gcd(a,b);
        output.println("gcd("+a+","+b+")="+gcd);

        a = -2*3*3*7;
        b = 2*3*3*5;
        gcd = Arithmetics.gcd(a,b);
        output.println("gcd("+a+","+b+")="+gcd);

    }
}