/*
 * (c) Copyright 1998 by Shmulik London (londons@gmail.com). All rights reserved.
 *
 * Redistribution and use of this source code, with or without modification,
 * are permitted for educational non-commercial use provided that it retains
 * the above copyright notice and the following disclaimer.
 *
 * This source code was developed to support the course 'Introduction to Computer Science'
 * given in the Interdisciplinary Center Herzelia in 1998,1999 by Shmulik London.
 *
 * This software is provided "AS IS," without a warranty of any
 * kind. THE AUTHOR OF THIS SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES
 * ABOUT THE SUITABILITY OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING
 * BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. THE AUTHOR SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 */

public class NimTest {

    public static void main(String[] args) {
        NimPlayerRobot alice = new NimPlayerRobot();
        NimPlayerRobot bob = new NimPlayerRobot();
        java.util.Vector heaps = new java.util.Vector();
        int numberOfHeaps = 2+(int)(Math.random()*5);
        int totalChips = 0;
        for (int i=0; i<numberOfHeaps; i++) {
            int n = 2+(int)(Math.random()*6);
            totalChips += n;
            heaps.addElement(new NimHeap(n));
        }

        try {
            Thread.sleep(2000);
        } catch (InterruptedException ie) {}

        while(totalChips>0) {
            int pile;
            do {
                pile = (int)(Math.random()*heaps.size());
            } while(((NimHeap)heaps.elementAt(pile)).getSize()==0);

            alice.takeChip(pile);
            ((NimHeap)heaps.elementAt(pile)).removeChip();
            totalChips--;
            if (totalChips==0) {
                break;
            }

            do {
                pile = (int)(Math.random()*heaps.size());
            } while(((NimHeap)heaps.elementAt(pile)).getSize()==0);
            bob.takeChip(pile);
            ((NimHeap)heaps.elementAt(pile)).removeChip();
        }
    }
}