/*
 * (c) Copyright 1998 by Shmulik London (londons@gmail.com). All rights reserved.
 *
 * Redistribution and use of this source code, with or without modification,
 * are permitted for educational non-commercial use provided that it retains
 * the above copyright notice and the following disclaimer.
 *
 * This source code was developed to support the course 'Introduction to Computer Science'
 * given in the Interdisciplinary Center Herzelia in 1998,1999 by Shmulik London.
 *
 * This software is provided "AS IS," without a warranty of any
 * kind. THE AUTHOR OF THIS SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES
 * ABOUT THE SUITABILITY OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING
 * BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. THE AUTHOR SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 */

/**
 * This program draws the figure of the the letter 'i'
 * using turtle graphics
 *
 * @author Shmulik London
 */
class TurtleDrawing {

    // Draws the figure of the letter 'i'
    public static void main(String[] args) {
        Turtle leonardo = new Turtle();
        leonardo.tailDown();

        // Draws the lower part of the letter 'i'
        leonardo.moveForward(150);
        leonardo.turnLeft(90);
        leonardo.moveForward(50);
        leonardo.turnLeft(90);
        leonardo.moveForward(150);
        leonardo.turnLeft(90);
        leonardo.moveForward(50);

        // Makes the space between the upper and lower parts
        leonardo.turnLeft(90);
        leonardo.tailUp();
        leonardo.moveForward(175);
        leonardo.tailDown();

        // Draws the upper part of the letter 'i'
        leonardo.moveForward(50);
        leonardo.turnLeft(90);
        leonardo.moveForward(50);
        leonardo.turnLeft(90);
        leonardo.moveForward(50);
        leonardo.turnLeft(90);
        leonardo.moveForward(50);
    }
}
