package electronics.ui;

public class ConnectionInfo {
    
    private ElectronicGateFigure source;
    private ElectronicGateFigure target;
    private int targetLegIndex;
    
    public ConnectionInfo(
        ElectronicGateFigure source,
        ElectronicGateFigure target,
        int targetLegIndex) {
            
        this.source = source;
        this.target = target;
        this.targetLegIndex = targetLegIndex;
    }
    
    public ElectronicGateFigure getSource() {
        return source;
    }
    
    public ElectronicGateFigure getTarget() {
        return target;
    }
    
    public int getTargetLegIndex() {
        return targetLegIndex;
    }
}