/*
 * (c) Copyright 1998 by Shmulik London (londons@gmail.com). All rights reserved.
 *
 * Redistribution and use of this source code, with or without modification,
 * are permitted for educational non-commercial use provided that it retains
 * the above copyright notice and the following disclaimer.
 *
 * This source code was developed to support the course 'Introduction to Computer Science'
 * given in the Interdisciplinary Center Herzelia in 1998,1999 by Shmulik London.
 *
 * This software is provided "AS IS," without a warranty of any
 * kind. THE AUTHOR OF THIS SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES
 * ABOUT THE SUITABILITY OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING
 * BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. THE AUTHOR SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 */

import java.util.Random;

/**
 * This program simulates a random walk of 2 drunk turtles.
 */
class DrunkTurtles {

    /**
     * Starts a simulation of a random walk of 2 drunk turtles.
     */
    public static void main(String[] args) {

        Turtle leonardo = new Turtle();
        Turtle michaelangelo = new Turtle();

        Random random = new Random();
        int angle;
        int steps;

        leonardo.tailDown();
        michaelangelo.tailDown();

        while(true) {
            angle = random.nextInt()%40;
            leonardo.turnLeft(angle);
            steps = random.nextInt()%3+3;
            leonardo.moveForward(steps);

            angle = random.nextInt()%60;
            michaelangelo.turnLeft(angle);
            steps = random.nextInt()%4+4;
            michaelangelo.moveForward(steps);

        }

    }
}