/*
 * (c) Copyright 1998 by Shmulik London (londons@gmail.com). All rights reserved.
 *
 * Redistribution and use of this source code, with or without modification,
 * are permitted for educational non-commercial use provided that it retains
 * the above copyright notice and the following disclaimer.
 *
 * This source code was developed to support the course 'Introduction to Computer Science'
 * given in the Interdisciplinary Center Herzelia in 1998,1999 by Shmulik London.
 *
 * This software is provided "AS IS," without a warranty of any
 * kind. THE AUTHOR OF THIS SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES
 * ABOUT THE SUITABILITY OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING
 * BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. THE AUTHOR SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 */

/**
 * A test class for class Clock.
 * This class prints a table of time gaps between Herzelia, London
 * and Welington (New-Zealand).
 *
 */
public class TestClock {

    /**
     * Prints a table of time gaps between Hertzelia, London and
     * Welington (New-Zealand).
     */
    public static void main(String[] args) {
        OutputWindow output = new OutputWindow("Time zones table");
        Clock londonClock = new Clock(0,0,0);
        Clock israelClock = new Clock(2,0,0);
        Clock newZealandClock = new Clock(12,0,0);

        output.println("  Herzelia   London   Welington");
        output.println("  --------   ------   ---------");

        for (int i=0; i<24; i++) {
            output.println("  "+israelClock+ "   "+
                           londonClock+ "        "+
                           newZealandClock);
            israelClock.hourElapsed();
            londonClock.hourElapsed();
            newZealandClock.hourElapsed();
        }
    }
}